<?php
require_once(LIB_PATH . 'HtmlElements.inc'); 
class x_10 extends kp_HtmlElements { 
var $x_dq = Array('overall', 'individual', 'activity', 'traffic', 'sites', 'categories', 'error', 'empty1'); 
var $x_dr = Array('accStats', 'prefs', 'dialup', 'empty2'); 
var $x_ds = Array(); 
var $x_dt = Array('L1', 'L2', 'L3', 'L4', 'L5', 'L6', 'L7', 'L8'); 
var $x_du = ''; 
var $x_6u = ''; 
var $x_37 = ''; 
var $x_23 = Array(); 
function x_10($x_84 = '', $x_6u = '', $x_37 = '') { 
$this->x_dv($x_84, $x_6u); 
$this->x_37 = $x_37; 
} 
function x_dv($x_84 = '', $x_6u = '') { 
switch ($x_84) { 
case $this->x_dt[0]: 
case $this->x_dt[1]: 
$this->x_du = $x_84; 
$this->x_6u = $x_6u; 
for ($x_7p = 1; $x_7p <= 5; $x_7p++) { 
$this->x_ds[$x_7p] = Array('x_6u' => '', 'x_dw' => '', 'x_dx' => ''); 
} 
break; 
case $this->x_dt[2]: 
$this->x_du = $x_84; 
$this->x_6u = $x_6u; 
$this->x_ds[1] = Array(); 
break; 
case $this->x_dt[3]: 
$this->x_du = $x_84; 
$this->x_6u = $x_6u; 
for ($x_7p = 1; $x_7p <= 2; $x_7p++) { 
$this->x_ds[$x_7p] = Array('x_6u' => '', 'x_dw' => '', 'x_7d' => ''); 
} 
break; 
case $this->x_dt[4]: 
$this->x_du = $x_84; 
$this->x_6u = $x_6u; 
$this->x_ds[$x_7p] = Array('x_dy' => '', 'x_dz' => ''); 
break; 
case $this->x_dt[5]: 
case $this->x_dt[6]: 
case $this->x_dt[7]: 
$this->x_du = $x_84; 
$this->x_6u = $x_6u; 
$this->x_ds[1] = Array('x_1w' => ''); 
break; 
} 
} 
function x_e0($x_e1 = 0, $x_1w = Array()) { 
if (!empty($x_1w) && $x_e1 != 0) { 
switch ($this->x_du) { 
case $this->x_dt[0]: 
case $this->x_dt[1]: 
foreach ($x_1w as $x_1m => $x_e2) { 
$this->x_ds[$x_e1][$x_1m] = $x_e2; 
} 
break; 
case $this->x_dt[2]: 
$this->x_ds[1] = $x_1w; 
break; 
case $this->x_dt[3]: 
foreach ($x_1w as $x_1m => $x_e2) { 
$this->x_ds[$x_e1][$x_1m] = $x_e2; 
} 
break; 
case $this->x_dt[4]: 
case $this->x_dt[5]: 
case $this->x_dt[6]: 
case $this->x_dt[7]: 
foreach ($x_1w as $x_1m => $x_e2) { 
$this->x_ds[$x_e1][$x_1m] = $x_e2; 
} 
break; 
} 
} 
} 
function x_1u() { 
switch ($this->x_du) { 
case $this->x_dt[0]: 
case $this->x_dt[1]: 
$x_1w = $this->x_e3(); 
break; 
case $this->x_dt[2]: 
$x_1w = $this->x_e4(); 
break; 
case $this->x_dt[3]: 
$x_1w = $this->x_e5(); 
break; 
case $this->x_dt[4]: 
$x_1w = $this->x_e6(); 
break; 
case $this->x_dt[5]: 
$x_1w = $this->x_e7(); 
break; 
case $this->x_dt[7]: 
$x_1w = $this->x_e8(); 
break; 
} 
return '<div id="x_e9" class="dashboard ' . $this->x_du . '" align="left">


						<div class="db_corner">' . $this->kp_getImage(IMAGE_PATH . 'dbCorner.gif') 
. '</div>' 
. '<div id="x_ea">' 
. $x_1w 
. '</div>' 
. '</div>'; 
} 
function x_eb($x_ec = '') { 
$x_5c .= ''; 
$x_1 = kerio("webiface::PhpSession"); 
$x_1->getSessionVariable('timezoneOffset', &$x_q); 
$x_ed = (in_array($x_ec, $this->x_dq) ? true : false); 
if ($x_ed && ('error' == $x_ec || 'empty1' == $x_ec || 'empty2' == $x_ec)) { 
$x_ee = ' style="display: none;"'; 
} else { 
$x_ee = ' style="display: block;"'; 
} 
if (!empty($this->x_23)) { 
$x_ef = x_14($this->x_23, false); 
} else { 
$x_ef = Array(); 
} 
$x_eg = '<div class="headerStats" id="db_caption" style="display:' . ($x_ed ? 'block' : 'none') . '">' . 
'<div class="selectedPeriod">' . 
'<div class="periodSelector">' . 
$this->x_eh() . 
'</div>' . 
'<div class="lastSync">' . 
'<kerio:text id="lastSync" /> ' . 
'<span id="x_ei">' . 
x_1k($x_q) . 
'</span>' . 
'</div>' . 
'</div>' . 
'<div class="container" valign="bottom">' . 
'<div class="dispTime" onMouseOver="x_2z.x_ej(this, \'IMG\')">' . 
$this->kp_getImage( IMAGE_PATH . 'periodPrevious.gif', 
14, 
14, 
'', 
'id="buttonPrevious"  tooltip="' . $x_ef['buttonPrevious']['tooltip'] . '"' 
. 'onClick="x_ek(document.getElementById(\'x_h\'), \'x_2h\')"') . 
$this->kp_getImage(IMAGE_PATH . 'periodNext.gif', 
14, 
14, 
'', 
'id="buttonNext" tooltip="' . $x_ef['buttonNext']['tooltip'] . '"' 
. 'onClick="x_ek(document.getElementById(\'x_h\'), \'x_2i\')"') . 
'<span id="x_el">' . 
$this->x_6u . 
'</span>' . 
'</div>' . 
'<div id="x_em" class="tabContainer">' . 
($x_ed ? $this->x_1s($x_ec) : '') . 
'</div>' . 
'</div>' . 
'</div>'; 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_1 = kerio("webiface::PhpSession"); 
$x_en = ''; 
$x_1->getUserName(&$x_28, &$x_6g); 
if ('' == $x_6g) { 
$x_en = $x_28; 
} else { 
$x_en = $x_6g; 
} 
$x_eo = ''; 
$x_ep = Array(); 
$x_7x->getProductInfo($x_ep); 
$x_eo = $x_ep['fwName']; 
$x_ed = (in_array($x_ec, $this->x_dr) ? true : false); 
$x_eq = '<div class="headerPrefs" id="db_userInfo" style="display:' . ($x_ed ? 'block' : 'none') . '">' . 
'<div class="container">' . 
'<div class="userContainer">' . 
'<div class="db_userInfo">' . 
'<table>' . 
'<tr>' . 
'<td class="caption"><kerio:text id="lang_user" />:</td>' . 
'<td class="value">' . 
x_54($x_en, 260) . 
'</td>' . 
'</tr>' . 
'<tr>' . 
'<td class="caption"><kerio:text id="lang_firewall" />:</td>' . 
'<td class="value">' . 
x_54($x_eo, 260) . 
'</td>' . 
'</tr>' . 
'</table>' . 
'</div>' . 
'</div>' . 
'<div id="x_er" class="tabContainer">' . 
($x_ed ? $this->x_1s($x_ec) : '') . 
'</div>' . 
'</div>' . 
'</div>'; 
$x_5c = '<div id="db_header"' . $x_ee . '>' . 
$x_eg . $x_eq . 
'</div>'; 
return $x_5c; 
} 
function x_1s($x_es = '') { 
$x_et = Array(); 
if (in_array($x_es, $this->x_dq)) { 
$x_dq = $this->x_dq; 
} elseif (in_array($x_es, $this->x_dr)) { 
$x_dq = $this->x_dr; 
} elseif(!in_array($x_es, $this->x_dq) && !in_array($x_es, $this->x_dr)) { 
$x_dq = $this->x_dr; 
$x_es = $this->x_dr[0]; 
} 
$x_5p = x_5g(); 
$x_5p = $x_5p['name']; 
foreach ($x_dq as $key => $x_eu) { 
if ($x_eu != 'error' && $x_eu != 'empty1' && $x_eu != 'empty2') { 
$x_b1 = 'tab_' . $x_eu; 
$x_b8 = ($x_eu == $x_es ? 'active' : 'common'); 
$x_6u = '<kerio:text id="tabCaption_' . $x_eu . '"/>'; 
$x_ev = ' onClick="x_6r(\'' . $x_eu . '\')"'; 
$x_et[] = '	<table id="' . $x_b1 . '" class="' . $x_b8 . '"


										cellpadding="0" cellspacing="0" border="0"' . $x_ev . '>


									<tr>


										<td class="' . (0 == $key ? ' first' : 'left') . '">' 
. (0 == $key ? '<div class="tab_field_corner"></div>' : '') 
. '</td>


										<td class="caption">' 
. $x_6u 
. '</td>


										<td class="right"></td>


									</tr>


								</table>'; 
} 
} 
return '<div id="x_1a" class="tabBar" align="left"' 
. ($x_5p != 'OPERA' ? '' : ' style="width: 740px !important;"') 
. '>


					<div class="tab_corner_div">


						<div class="tab_corner"></div>


					</div>


					<div id="x_ew" class="tab_area">


						' . implode('', $x_et) . '


					</div>


				</div>'; 
} 
function x_ex($x_7h = '') { 
if ('' == $x_7h) { 
$x_7h = '<kerio:text id="noData" />'; 
} 
return '<div class="noData">' . $x_7h . '</div>'; 
} 
function x_ey() { 
return '<div class="noData"><kerio:text id="no_user" /></div>'; 
} 
function x_e3($x_ez = null) { 
$x_f0 = Array(); 
if (isset($this->x_ds[1])) { 
$x_f0[1] = '<h2>' . $this->x_ds[1]['x_6u'] . '</h2>'; 
if (!empty($this->x_ds[1]['x_dw'])) { 
$x_f1 = Array('horizontal' => 0, 
'singleColor' => 1, 
'axisProperty' => webiface_SHOW_LABEL | webiface_SHOW_LINE | webiface_SHOW_TITLE | webiface_FORMAT_NUMBER , 
'axisName' => '', 
'fixedX' => 50, 
'fixedY' => -1, 
'print' => 0); 
$x_f0[1] .= $this->kp_getCountedImage('bar', 430, 180, 
$this->x_ds[1]['x_dw'], 
$this->x_ds[1]['x_dw']['other'], 
$x_f1, 
'', 
('L1' == $this->x_du ? 'date' : 'dateUser') 
); 
} elseif ('L1' == $this->x_du && isset($this->x_ds[1])) { 
$x_f0[1] .= $this->x_ex($this->x_ds[1]['x_a9']); 
} else { 
if ($this->x_ds[1]['x_a9'] != -1) { 
$x_f0[1] .= $this->x_ex(); 
} else { 
$x_f0[1] .= $this->x_ey(); 
} 
} 
$x_f0[1] .= $this->x_ds[1]['x_dx']; 
} 
if (isset($this->x_ds[2])) { 
$x_f0[2] = '<h2>' . $this->x_ds[2]['x_6u'] . '</h2>'; 
if (!empty($this->x_ds[2]['x_dw']['data'])) { 
$x_f1 = Array('horizontal' => 1, 
'singleColor' => 1, 
'axisProperty' => webiface_SHOW_LABEL | webiface_SHOW_LINE | webiface_SHOW_TITLE | webiface_FORMAT_NUMBER , 
'axisName' => '', 
'fixedX' =>186, 
'fixedY' =>0, 
'print' => 0); 
$x_f0[2] .= $this->kp_getCountedImage('bar', 566, 105, 
$this->x_ds[2]['x_dw'], 
$this->x_ds[2]['x_dw']['other'], 
$x_f1, 
'', 
('L1' == $this->x_du ? 'sitesGoTo' : 'sites')); 
} else if (!empty($this->x_ds[2]['x_dw']['message'])) { 
$x_f0[2] .= $this->x_ds[2]['x_dw']['message']; 
} elseif ('L1' == $this->x_du && isset($this->x_ds[2])) { 
$x_f0[2] .= $this->x_ex($this->x_ds[2]['x_a9']); 
} else { 
if ($this->x_ds[2]['x_a9'] != -1) { 
$x_f0[2] .= $this->x_ex(); 
} else { 
$x_f0[2] .= $this->x_ey(); 
} 
} 
} 
if (isset($this->x_ds[3])) { 
$x_f0[3] = '<h2>' . $this->x_ds[3]['x_6u'] . '</h2>'; 
if (!empty($this->x_ds[3]['x_dw'])) { 
$x_f1 = Array('horizontal' => 1, 
'singleColor' => 1, 
'axisProperty' => webiface_SHOW_LABEL | webiface_SHOW_LINE | webiface_SHOW_TITLE | webiface_FORMAT_NUMBER , 
'axisName' => '', 
'fixedX' =>186, 
'fixedY' =>0, 
'print' => 0); 
$x_f0[3] .= $this->kp_getCountedImage('bar', 566, 105, 
$this->x_ds[3]['x_dw'], 
$this->x_ds[3]['x_dw']['other'], 
$x_f1, 
'', 
('L1' == $this->x_du ? 'categoriesGoTo' : 'categories')); 
} else { 
if ( ('L1' == $this->x_du && isset($this->x_ds[3])) 
|| ('L2' == $this->x_du && $this->x_ds[3]['x_a9'] != -1)) { 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_7x->getProductInfo(&$x_ep); 
if (0 == $x_ep['webFilterLicensed']) { 
$x_f0[3] .= '<div class="cobionAd">' 
. '<div>' 
. '<kerio:text id="webFilterAd_1" />' 
. '</div>' 
. '<div>' 
. '<kerio:text id="webFilterAd_2b_1" />' 
. '<a href="<kerio:text id="webFilterAd_2_link" />" target="_blank"><kerio:text id="webFilterAd_2b_2" /></a><kerio:text id="webFilterAd_2b_3" />' 
. '</div>' 
. '</div>'; 
} else { 
$x_f0[3] .= $this->x_ex(); 
} 
} else { 
$x_f0[3] .= $this->x_ey(); 
} 
} 
} 
if ('L1' == $this->x_du && isset($this->x_ds[4])) { 
$x_f0[4] = '<h2>' . $this->x_ds[4]['x_6u'] . '</h2>'; 
if (!empty($this->x_ds[4]['x_dw'])) { 
$x_f1 = Array('property' => webiface_REMOVE_OVERLAPPED_LABELS, 
'print' => 0); 
$x_f0[4] .= $this->kp_getCountedImage('pie', 360, 150, 
$this->x_ds[4]['x_dw'], 
$this->x_ds[4]['x_dw']['other'], 
$x_f1, 
'', 
'user'); 
} else { 
$x_f0[4] .= $this->x_ex(); 
} 
$x_f0[4] .= $this->x_ds[4]['x_dx']; 
} elseif ('L2' == $this->x_du && isset($this->x_ds[4])) { 
$x_f0[4] = ''; 
$x_f0[4] .= ' <div class="selectUser" align="center">


										<span class="bold" align="center"><kerio:text id="select_user" />:</span>&nbsp;' 
. $this->kp_getSelect( 'x_f2', 
'x_f2', 
$this->x_ds[4]['x_6u'], 
'onChange="x_6r(\'individual\')" style="display:block;"', 
$this->x_ds[4]['x_dx']) 
. '		</div>'; 
if ($this->x_ds[4]['x_dx'] != -1) { 
$x_f0[4] .= '<div class="link" onClick="x_6r(\'activity\')"><span><kerio:text id="viewActivity" /></span></div>'; 
} 
$x_f0[4] .= '<div class="userInfo">


										<span class="userName bold">' . 
(isset($this->x_ds[4]['x_dw']['FULLNAME']['caption']) ? $this->x_ds[4]['x_dw']['FULLNAME']['caption'] : '') . 
'</span>'; 
$x_f3 = $this->x_f4($this->x_ds[4]['x_dw']); 
$x_f0[4] .= $x_f3 . '</div>'; 
} 
$x_f0[5] = '<h2>' . $this->x_ds[5]['x_6u'] . '</h2>'; 
if (!empty($this->x_ds[5]['x_dw']['data']) || !empty($this->x_ds[5]['x_dw']['other'])) { 
$x_f1 = Array('property' => webiface_REMOVE_OVERLAPPED_LABELS, 
'print' => 0); 
$x_f0[5] .= $this->kp_getCountedImage('pie', 360, 180, 
$this->x_ds[5]['x_dw'], 
$this->x_ds[5]['x_dw']['other'], 
$x_f1, 
'', 
('L1' == $this->x_du ? 'protocolsLink' : 'protocols')); 
} elseif ('L1' == $this->x_du && isset($this->x_ds[5])) { 
$x_f0[5] .= $this->x_ex($this->x_ds[5]['x_a9']); 
} else { 
if ($this->x_ds[5]['x_a9'] != -1) { 
$x_f0[5] .= $this->x_ex(); 
} else { 
$x_f0[5] .= $this->x_ey(); 
} 
} 
if ($x_ez === null) { 
$x_1w = '


					<div class="col1">


						<div id="elem1" class="row1">' 
. $x_f0[1] 
. '</div>


						<div class="row2">


							<div id="elem2" class="left">' 
. $x_f0[2] 
. '</div>


							<div id="elem3" class="right">' 
. $x_f0[3] 
. '</div>


						</div>


					</div>


					<div class="col2">'; 
if ('L1' == $this->x_du) { 
$x_1w .= '<div id="elem4" class="row1">' 
. $x_f0[4] 
. '</div>'; 
} elseif ('L2' == $this->x_du) { 
$x_1w .= '<div id="elem4" class="row1">' . $x_f0[4] . '</div>'; 
} 
$x_1w .= '


						<div id="elem5" class="row2">' 
. $x_f0[5] 
. '</div>'; 
} else { 
switch ($x_ez) { 
case 1: $x_f5 = '<div id="elem1_xml">'; break; 
case 2: $x_f5 = '<div id="elem2_xml">'; break; 
case 3: $x_f5 = '<div id="elem3_xml">'; break; 
case 4: $x_f5 = '<div id="elem4_xml">'; break; 
case 5: $x_f5 = '<div id="elem5_xml">'; break; 
} 
$x_1w = $x_f5 . $x_f0[$x_ez] . '</div>'; 
} 
return $x_1w . $this->x_f6(); 
} 
function x_e4($x_ez = null) { 
$x_f0 = Array(); 
if (isset($this->x_ds[1])) { 
$x_f0[1] = $this->kp_documentTitle('<kerio:text id="dataByUsers" />', 'traffic_icon_white.gif') 
. $this->kp_getHr(); 
if (!empty($this->x_ds[1]['x_f7'])) { 
$x_f0[1] .= '<table cellpadding="0" cellspacing="0" border="0" class="protoSelect">' 
. '<tr>' 
. '<td class="caption">' 
. '<kerio:text id="lang_protocol" />: ' 
. '</td>' 
. '<td class="combo">' 
. $this->x_ds[1]['x_f7'] 
. '</td>' 
. '</tr>' 
. '</table>'; 
} 
if ($this->x_ds[1]['x_7d'] != '') { 
$x_f0[1] .= $this->x_ds[1]['x_7d']; 
} else { 
$x_f0[1] .= $this->x_ex(); 
} 
} 
if ($x_ez === null) { 
$x_1w = '<div id="elem1" class="mainDiv">' 
. $x_f0[1] 
. '</div>'; 
} else { 
$x_1w = '<div id="elem1_xml">' . $x_f0[$x_ez] . '</div>'; 
} 
return $x_1w; 
} 
function x_e5($x_ez = null) { 
$x_f0 = Array(); 
if (isset($this->x_ds[1])) { 
$x_f8 = $this->kp_documentTitle( 
$this->x_ds[1]['x_6u'], 
$this->x_ds[1]['x_dw']) 
. $this->kp_getHr(560); 
$x_f0[1] = $x_f8; 
if (!empty($this->x_ds[1]['x_7d']['data'])) { 
$x_f1 = Array('horizontal' => 1, 
'singleColor' => 1, 
'axisProperty' => webiface_SHOW_LINE | webiface_SHOW_LABEL | webiface_FORMAT_NUMBER, 
'axisName' => '', 
'fixedX' => 200, 
'fixedY' => '', 
'print' => 0); 
$x_f9 = (20 * count($this->x_ds[1]['x_7d']['data'])); 
if ($x_f9 < 100) { 
$x_f9 = 100; 
} 
$x_f0[1] .= $this->kp_getCountedImage('bar', 960, $x_f9, 
$this->x_ds[1]['x_7d'], 
$this->x_ds[1]['x_7d']['other'], 
$x_f1, 
'', 
('sites' == $this->x_37 ? 'sitesLinkOnPage' : 'categoriesLinkOnPage')); 
} else if (!empty($this->x_ds[1]['x_7d']['message'])) { 
$x_f0[1] .= $this->x_ex($this->x_ds[1]['x_7d']['message']); 
} elseif ('sites' == $this->x_37) { 
$x_f0[1] .= $this->x_ex(); 
} else { 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_7x->getProductInfo(&$x_ep); 
if (0 == $x_ep['webFilterLicensed']) { 
$x_f0[1] .= '<div class="cobionAd">' . 
'<div>' 
. '<kerio:text id="webFilterAd_1" />' 
. '</div>' 
. '<div>' 
. '<kerio:text id="webFilterAd_2_1" /> ' 
. '<a href="<kerio:text id="webFilterAd_2_link" />" target="_blank"><kerio:text id="webFilterAd_2_link" /></a>' 
. '<kerio:text id="webFilterAd_2_2" />' 
. '</div>' 
. '<div>' 
. '<kerio:text id="webFilterAd_3_1" /> ' 
. '<a href="<kerio:text id="webFilterAd_3_link" />" target="_blank"><kerio:text id="webFilterAd_3_link" /></a>' 
. '<kerio:text id="webFilterAd_3_2" />' 
. '</div>' 
. '</div>'; 
} else { 
$x_f0[1] .= $this->x_ex(); 
} 
} 
} 
if (isset($this->x_ds[2])) { 
if (!empty($this->x_ds[2]['x_7d'])) { 
$x_fa = ('sites' == $this->x_37 ? 'visits' : 'requests'); 
$x_f0[2] = $this->kp_documentTitle($this->x_ds[2]['x_6u'], $this->x_ds[2]['x_dw']) 
. $this->kp_getHr(560); 
foreach ($this->x_ds[2]['x_7d'] as $x_fb) { 
if ('sites' == $this->x_37) { 
$x_fc = '<a href="http://www.' . $x_fb['x_6u'] . '" target="_blank">' 
. $x_fb['x_6u'] 
. '</a>'; 
} else { 
$x_fc = $x_fb['x_6u']; 
} 
$x_6u = '<table cellpadding="0" cellspacing="0" border="0" width="957" style="padding-bottom: 10px;">' . 
'<tr>' . 
'<td nowrap>' . 
'<h2 id="scrElem' . 
('sites' == $this->x_37 ? $x_fb['x_fd'] : $x_fb['x_fe']) . 
'">' . 
$x_fc . 
' <span class="captionDetails">' . 
$x_fb['x_ff'] . ' <kerio:text id="' . $x_fa . 'Small" />' . 
'</span>' . 
'</h2>' . 
'</td>' . 
'<td width="100%">' . 
'<div class="linkTop"><span onClick="x_fg();" title="<kerio:text id="linkTop" />"><kerio:text id="pageTop" /></span></div>' . 
'</td>' . 
'</tr>' . 
'</table>'; 
$x_f1 = Array('property' => webiface_REMOVE_OVERLAPPED_LABELS, 
'print' => 0); 
$x_dw = $this->kp_getCountedImage('pie', 430, 180, 
$x_fb['x_dw'], 
$x_fb['x_dw']['other'], 
$x_f1, 
'', 
('sites' == $this->x_37 ? 'userDetSites' : 'userDet')); 
$x_dx = $this->kp_getListTable($x_fb['x_dx'], 
Array( '<kerio:text id="lang_user" />', 
'<kerio:text id="' 
. $x_fa . '" />')); 
$x_f0[2] .= $x_6u 
. '<table class="details">' 
. '<tr><td colspan="2">' 
. '<kerio:text id="top" /> ' . $x_fb['x_fh'] .' <kerio:text id="usersSmall" />' 
. '</td></tr>' 
. '<tr>' 
. '<td align="left">' 
. $x_dw 
. '</td>' 
. '<td align="right">' 
. $x_dx 
. '</td>' 
. '</tr>' 
. '</table>'; 
} 
} 
} 
if ($x_ez === null) { 
$x_1w = '<div id="elem1" class="col1">' . $x_f0[1] . '</div>' . 
'<div id="elem2" class="col2">' . $x_f0[2] . '</div>'; 
} else { 
switch ($x_ez) { 
case 1: $x_f5 = '<div id="elem1_xml">'; break; 
case 2: $x_f5 = '<div id="elem2_xml">'; break; 
} 
$x_1w = $x_f5 . $x_f0[$x_ez] . '</div>'; 
} 
return $x_1w . $this->x_f6(); 
} 
function x_e6($x_ez = null) { 
$x_f0 = Array(); 
if (isset($this->x_ds[1])) { 
$x_f0[1] = ''; 
foreach ($this->x_ds[1] as $x_1w) { 
if (!empty($x_1w['data'])) { 
$x_f0[1] .= $this->kp_documentTitle($x_1w['title'], 
$x_1w['icon']) 
. $this->kp_getHr(); 
if ($x_1w['data'] != '') { 
$x_f0[1] .= $x_1w['data']; 
} 
} 
} 
} 
if ($x_ez === null) { 
$x_1w = '<div id="elem1" class="mainDiv">' 
. implode('', $x_f0) 
. '</div>'; 
} else { 
$x_1w = '<div id="elem1_xml">' . $x_f0[$x_ez] . '</div>'; 
} 
return $x_1w . $this->x_f6(); 
} 
function x_e7($x_ez = null) { 
$x_1w = '<div id="elem1" class="mainDiv" align="center">' 
. '<div class="errorDialog">


								<div class="dialogBody">


									<div class="dialogBg">


										<div class="content">


										' .$this->kp_documentTitle('<kerio:text id="tabCaption_error" />' , 'tb_error_white.gif', '', 32) . '<br />


										<strong>' . $this->x_ds[1]['x_6u'] . '</strong>


										<div class="steps">' 
. $this->x_ds[1]['x_1w'] 
. '</div>


										</div>


									</div>


								</div>


						</div>' 
. '</div>'; 
if ($x_ez != null) { 
$x_1w = '<div id="elem1_xml">' . $x_1w . '</div>'; 
} 
return $x_1w; 
} 
function x_fi($x_ez = null) { 
$x_1w = '<div id="elem1" class="mainDiv">' 
. '<div class="errorDialog">


								<div class="dialogBody">


									<div class="dialogBg">


									</div>


								</div>


						</div>' 
. '</div>'; 
if ($x_ez != null) { 
$x_1w = '<div id="elem1_xml">' . $x_1w . '</div>'; 
} 
return $x_1w; 
} 
function x_e8($x_ez = null) { 
$x_f0 = Array(); 
if (isset($this->x_ds[1])) { 
$x_fj = $this->kp_getSelect('x_f2', 
'x_f2', 
$this->x_ds[1]['x_92'], 
'onChange="x_6r(\'activity\')" style="display:block;"', 
$this->x_ds[1]['x_1m']); 
if (!empty($this->x_ds[1]['x_fk'])) { 
$x_28 = '<span class="userName bold">' . $this->x_ds[1]['x_fk']['FULLNAME']['value'] . '</span>'; 
$x_f3 = $this->x_f4($this->x_ds[1]['x_fk']); 
} else { 
$x_f3 = $this->x_ey(); 
} 
$x_f0[1] = $this->kp_documentTitle('<kerio:text id="usersActivity" />' 
. ($x_28 != '' ? ' - ' . $x_28 : ''), 
'activity_icon_white.gif', 
' style="color: #7F7F7F"') 
. '<table cellpadding="0" cellspacing="0" border="0" class="userInfo">' 
. '<tr>' 
. '<td class="infoTable">' 
. $x_f3 
. '</td>' 
. '<td class="usersCombo" align="center">' 
. '<div align="center" class="bold"><kerio:text id="select_user" />:</div>' 
. $x_fj 
. '</td>' 
. '</tr>' 
. '</table>'; 
} 
if (isset($this->x_ds[2])) { 
$x_f0[2] = $this->x_ds[2]['x_1w']; 
} 
if ($x_ez === null) { 
$x_1w = '<div id="elem1" class="col1">' . $x_f0[1] . '</div>' . 
'<div id="elem2" class="col2">' . $x_f0[2] . '</div>'; 
} else { 
switch ($x_ez) { 
case 1: $x_f5 = '<div id="elem1_xml">'; break; 
case 2: $x_f5 = '<div id="elem2_xml">'; break; 
} 
$x_1w = $x_f5 . $x_f0[$x_ez] . '</div>'; 
} 
return $x_1w; 
} 
function x_eh() { 
$x_fl = Array(); 
$x_fl[] = Array( 'x_6u' => 'today', 
'x_b7' => 'dayIcon_toolbar.gif', 
'x_1m' => 'buttonToday', 
'x_fm' => 'x_ek(document.getElementById(\'x_h\'), \'x_fn\')'); 
$x_fl[] = Array( 'x_6u' => 'this_week', 
'x_b7' => 'weekIcon_toolbar.gif', 
'x_1m' => 'buttonWeek', 
'x_fm' => 'x_ek(document.getElementById(\'x_h\'), \'x_fo\')'); 
$x_fl[] = Array( 'x_6u' => 'this_month', 
'x_b7' => 'monthIcon_toolbar.gif', 
'x_1m' => 'buttonMonth', 
'x_fm' => 'x_ek(document.getElementById(\'x_h\'), \'x_fp\')'); 
$x_fl[] = Array( 'x_6u' => 'pickerCustom', 
'x_b7' => 'customIcon_toolbar.gif', 
'x_1m' => 'buttonCustom', 
'x_fm' => 'x_2k()', 
'x_fq' => true); 
$x_fl[] = Array( 'x_6u' => 'printPage', 
'x_b7' => 'print_toolbar.gif', 
'x_1m' => 'buttonPrint', 
'x_fm' => 'x_fr()'); 
$x_5c = '<table cellpadding="0" cellspacing="0" border="0"><tr>'; 
$x_36 = count($x_fl) - 1; 
foreach ($x_fl as $x_1m => $x_7d) { 
$x_5c .= '<td onClick="' . $x_7d['x_fm'] . '" class="barIcon">' . 
$this->kp_getImage(IMAGE_PATH . $x_7d['x_b7'], 16, 16) . 
'</td>' . 
'<td  id="' . $x_7d['x_1m'] . '" onClick="' . $x_7d['x_fm'] . '" class="barCaption' 
. ($x_1m == $x_36 ? ' noBorder' : '') 
. '">' . 
'<kerio:text id="' . $x_7d['x_6u'] . '" />' . 
(isset($x_7d['x_fq']) ? $this->kp_getImage(IMAGE_PATH . 'arrow.gif') : '') . 
'</td>'; 
} 
$x_5c .= '</tr></table>'; 
return $x_5c; 
} 
function x_f4($x_7d = Array()) { 
$x_5c = ''; 
if (!empty($x_7d)) { 
$x_5c = '<table>'; 
foreach ($x_7d as $x_fs => $x_ft) { 
if ( ($x_fs != 'UUID' && $x_fs != 'ID' && $x_fs != 'FULLNAME') 
&& (!empty($x_ft['caption']) && !empty($x_ft['value'])) 
) { 
$x_5c .= '<tr>'; 
if ('DESCRIPTION' == $x_fs) { 
$x_ft['value'] = '<div>' . $x_ft['value'] . '</div>'; 
} 
if ($x_ft['caption'] != '') { 
$x_5c .= '<td class="caption" valign="top">' . $x_ft['caption'] . '</td>'; 
$x_5c .= '<td class="value" valign="top">' . $x_ft['value'] . '</td>'; 
} else { 
$x_5c .= '<td class="value"' 
. ('' == $x_ft['caption'] ? ' style = "text-align: center;" colspan="2"' : '') . '>' 
. $x_ft['value'] . '</td>'; 
} 
$x_5c .= '</tr>'; 
} 
} 
$x_5c .= '</table>'; 
} 
return $x_5c; 
} 
} 
?>
